package com.banctec.caseware.server.actionpersister;

import java.util.Collection;

import javax.ejb.Local;
import javax.ejb.RemoveException;

/**
 * Local interface for ActionPersister.
 */
@Local
public interface ActionPersisterLocal {
   /**
    * update
    * @param actionResource ActionResource
    */

   public Collection<ActionPersisterBean> findAllActions();

   public Collection<ActionPersisterBean> findActions(String action);

   public ActionPersisterBean findActionByName(String name);

   public ActionPersisterBean findByPrimaryKey(Long pk);
   
   public void remove(Long id) throws RemoveException;
}